POST
/inputs
http://iotevents.{region}.amazonaws.com/inputsCreates an input.
Access Token Required: API Key
Body Params
tagsarray
Metadata that can be used to manage the input.
inputNamestringrequired
The name you want to give to the input.
inputDefinitionobjectrequired
The definition of the input.
inputDescriptionstring
A brief description of the input.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://iotevents.{region}.amazonaws.com/inputs' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}